function fun_AllowOnlyAmountInteger(txt)
<!-- <input name="numero" id="numero" type="text"  onkeypress="return fun_AllowOnlyAmountAndDot(this.id);">-->
<!--<input name="numero2" id="numero2" type="text"  onkeypress="return fun_AllowOnlyAmountInteger(this.id);">-->
           {
               if(event.keyCode > 47 && event.keyCode < 58 ) //|| event.keyCode == 46
               {
                  var txtbx=document.getElementById(txt);
                  var amount = document.getElementById(txt).value;
                  var present=0;
                  var count=0;

                  if(amount.indexOf(".",present)||amount.indexOf(".",present+1));
                  {
                 // alert('0');
                  }

                 /*if(amount.length==2)
                 {
                   if(event.keyCode != 46)
                   return false;
                 }*/
                  do
                  {
                  present=amount.indexOf(".",present);
                  if(present!=-1)
                   {
                    count++;
                    present++;
                    }
                  }
                  while(present!=-1);
                  if(present==-1 && amount.length==0 && event.keyCode == 46)
                  {
                       event.keyCode=0;
                       //alert("Wrong position of decimal point not  allowed !!");
                       return false;
                  }

                  if(count>=1 && event.keyCode == 46)
                  {

                       event.keyCode=0;
                       //alert("Only one decimal point is allowed !!");
                       return false;
                  }
                  if(count==1)
                  {
                   var lastdigits=amount.substring(amount.indexOf(".")+1,amount.length);
                   if(lastdigits.length>=2)
                               {
                                 //alert("Two decimal places only allowed");
                                 event.keyCode=0;
                                 return false;
                                 }
                  }
                       return true;
               }
               else
               {
                       event.keyCode=0;
                       //alert("Only Numbers with dot allowed !!");
                       return false;
               }

           }
function valida_importe(e) {
	tecla=(document.all) ? e.keyCode : e.which;
	if((tecla < 48 || tecla > 57) && (tecla != 46))
		return false;
}
function valida_entero(e) {
	tecla=(document.all) ? e.keyCode : e.which;
	if((tecla < 48 || tecla > 57))
		return false;
}
function valida_alfanumerico(e) {
	tecla=(document.all) ? e.keyCode : e.which;
	if((tecla >= 65 && tecla <= 90))
		return true;
	else if ((tecla >= 97 && tecla <= 122))
		return true;
	else if ((tecla >= 48 && tecla <= 57))
		return true;
	else if ((tecla == 32 || tecla == 44 || tecla == 58 || tecla == 46))
		return true;
	else
		return false;
}
function EndsWith(texto,criterio) {
	var liPos = texto.lastIndexOf(criterio);
	if ( liPos < 0 )
		return false;
	if ( criterio.length + liPos == texto.length )
		return true;
	return false;
}
function formato_importe(texto) {
	if (texto) {
		return "$" + number_format(texto,2,".",",");
	} else
		return "$0.00";
}
function number_format( number, decimals, dec_point, thousands_sep ) {
    var n = number, prec = decimals, dec = dec_point, sep = thousands_sep;
    n = !isFinite(+n) ? 0 : +n;
    prec = !isFinite(+prec) ? 0 : Math.abs(prec);
    sep = sep == undefined ? ',' : sep;
 
    var s = n.toFixed(prec),
        abs = Math.abs(n).toFixed(prec),
        _, i;
 
    if (abs > 1000) {
        _ = abs.split(/\D/);
        i = _[0].length % 3 || 3;
 
        _[0] = s.slice(0,i + (n < 0)) +
              _[0].slice(i).replace(/(\d{3})/g, sep+'$1');
 
        s = _.join(dec || '.');
    }
 
    return s;
}
function dame_importe(texto) {
	texto = texto.replace("$", "");
	texto = texto.replace(",", "");
	return texto;
}
function dame_porcentaje(texto) {
	return texto.replace("%", "");
}
function dameFecha(texto) {
	// fecha en yyyy-mm-dd
	var re_dt = /^(\d{1,2})\-(\d{1,2})\-(\d{4})$/;
	// check format
	if (!re_dt.test(texto))
		return null;
	var dt_test = new Date(RegExp.$3, Number(RegExp.$2-1), RegExp.$1);
	return dt_test;
}
function dameTiempo(texto) {
	// Tiempo en HH:MM
	var re_tm = /^(\d{1,2})\:(\d{1,2})$/;
	// check format
	if (!re_tm.test(texto))
		return null;
	var dt_time = new Date();
	dt_time.setTime(0);
	dt_time.setHours(RegExp.$1, RegExp.$2, 0, 0);
	return dt_time;
}
function valores_forma(forma,objeto) {
	var laDatos = [];
	var liIdx;
	
	// Información del campo
	if ( objeto ) {
		var loObjCampo = [];
		loObjCampo["name"] = "campo";
		loObjCampo["value"] = objeto.name;
		laDatos.push( loObjCampo );
	}
	
	// Pasa los datos de la forma a objeto
	if ( forma ) {
		for ( liIdx=0 ; liIdx<forma.elements.length ; liIdx++ ) {
			// Para checkboxes 0 o 1 como valor
			if (forma.elements[liIdx].type == "checkbox")
				forma.elements[liIdx].value = ( forma.elements[liIdx].checked ? "1" : "0" );
			laDatos.push( forma.elements[liIdx] );
		}
	}
	return laDatos;
}